package domain


type AlibabaWdkItemFuturepriceQueryModel struct {
    /*
        商家code     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        会员价，单位为分。对应IC标memberPrice的价格，如果没有对应的标，该价格为空。     */
    MemberPrice  *int64 `json:"member_price,omitempty" `

    /*
        促销执行价格，单位为分     */
    FinalPrice  *int64 `json:"final_price,omitempty" `

    /*
        经营店Code     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        买赠活动信息     */
    MzPromotionDTO  *AlibabaWdkItemFuturepriceQueryMzPromotionDto `json:"mz_promotion_d_t_o,omitempty" `

    /*
        条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        会员促销执行价，单位为分。     */
    MemberFinalPrice  *int64 `json:"member_final_price,omitempty" `

    /*
        IC的商品ID     */
    ItemId  *int64 `json:"item_id,omitempty" `

    /*
        单品促销，finalPrice对应的促销活动     */
    ItemPromotionList  *[]AlibabaWdkItemFuturepriceQueryPromotionInfoDto `json:"item_promotion_list,omitempty" `

    /*
        商品名称     */
    ItemName  *string `json:"item_name,omitempty" `

    /*
        基础售价,单位为分     */
    AuctionPrice  *int64 `json:"auction_price,omitempty" `

    /*
        渠道店ID     */
    ShopId  *int64 `json:"shop_id,omitempty" `

    /*
        商品池促销     */
    ShopPromotionList  *[]AlibabaWdkItemFuturepriceQueryPromotionInfoDto `json:"shop_promotion_list,omitempty" `

    /*
        会员单品促销活动，memberFinalPrice对应的促销活动     */
    MemberItemPromotionList  *[]AlibabaWdkItemFuturepriceQueryPromotionInfoDto `json:"member_item_promotion_list,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        渠道，APP／POS     */
    OrderChannelCode  *string `json:"order_channel_code,omitempty" `

}

func (s *AlibabaWdkItemFuturepriceQueryModel) SetMerchantCode(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetMemberPrice(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.MemberPrice = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetFinalPrice(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.FinalPrice = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetStoreId(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetMzPromotionDTO(v AlibabaWdkItemFuturepriceQueryMzPromotionDto) *AlibabaWdkItemFuturepriceQueryModel {
    s.MzPromotionDTO = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetBarCode(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.BarCode = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetMemberFinalPrice(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.MemberFinalPrice = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetItemId(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.ItemId = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetItemPromotionList(v []AlibabaWdkItemFuturepriceQueryPromotionInfoDto) *AlibabaWdkItemFuturepriceQueryModel {
    s.ItemPromotionList = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetItemName(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.ItemName = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetAuctionPrice(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.AuctionPrice = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetShopId(v int64) *AlibabaWdkItemFuturepriceQueryModel {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetShopPromotionList(v []AlibabaWdkItemFuturepriceQueryPromotionInfoDto) *AlibabaWdkItemFuturepriceQueryModel {
    s.ShopPromotionList = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetMemberItemPromotionList(v []AlibabaWdkItemFuturepriceQueryPromotionInfoDto) *AlibabaWdkItemFuturepriceQueryModel {
    s.MemberItemPromotionList = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetSkuCode(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryModel) SetOrderChannelCode(v string) *AlibabaWdkItemFuturepriceQueryModel {
    s.OrderChannelCode = &v
    return s
}
